resources/webhooks/methods/delete/index.md +0 −45 deleted
File Deleted View Diff
1## Delete Webhook Endpoint
2
3**delete** `/webhook_endpoints/{webhook_endpoint_id}`
4
5Deletes a webhook endpoint for the authenticated project.
6
7### Path Parameters
8
9- `webhook_endpoint_id: string`
10
11### Returns
12
13- `DeletedWebhookEndpoint object { id, deleted, object }`
14
15 - `id: string`
16
17 The ID of the deleted webhook endpoint.
18
19 - `deleted: boolean`
20
21 Whether the endpoint was deleted.
22
23 - `object: "webhook_endpoint.deleted"`
24
25 The object type, which is always webhook_endpoint.deleted.
26
27 - `"webhook_endpoint.deleted"`
28
29### Example
30
31```http
32curl https://api.openai.com/v1/webhook_endpoints/$WEBHOOK_ENDPOINT_ID \
33 -X DELETE \
34 -H "Authorization: Bearer $OPENAI_API_KEY"
35```
36
37#### Response
38
39```json
40{
41 "id": "id",
42 "deleted": true,
43 "object": "webhook_endpoint.deleted"
44}
45```